body {
  font-family: sans-serif;
  margin: 0;
  background-color: gray;
  display: flex;
  justify-content: center;
  align-content: center;
  flex-wrap: wrap;
  min-height: 100vh;
  background-image: url("/img/purty_wood.png");
}
canvas {
  line-height: 0;
  border-radius: 50%;
  border: rgba(0, 0, 0, 0.2) 2px solid;
  margin: 7px;
}

.viewer {
  text-align: center;
  margin-bottom: 30px;
}

.canvasHolder {
  line-height: 0;
  border-radius: 50%;
  margin: 10px;
  box-shadow: 8px 8px 3px rgba(0, 0, 0, 0.2), 0px 0px 5px rgba(0, 0, 0, 0.2),
    inset 0 0 10px #000000;
}

.label {
  text-align: center;
  background: whitesmoke;
  display: inline-block;
  padding: 5px 10px;
  border-radius: 2px;
  font-family: "Courier New", monospace;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}

.label h4 {
  margin: 0;
  font-weight: normal;
  font-size: 14px;
  color: #333;
}

.label p {
  margin: 0;
  font-size: 11px;
  color: #333;
}

#fail {
  color: red;
  white-space: pre-wrap;
  max-width: 600px;
}
